Bug 478398 - (httping) Review Request: httping - Ping alike tool for http requests
Review Request: httping - Ping alike tool for http requests
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2008-12-29 07:26 EST by Fabian Affolter
Modified: 2014-09-11 11:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-20 06:45:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wolfy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
log of build failure when using Fedora's CFLAGS (4.49 KB, text/plain)
2008-12-30 08:19 EST, manuel wolfshant
no flags Details
new spec, fixes all issues that I am aware of (1.44 KB, text/plain)
2008-12-30 09:54 EST, manuel wolfshant
no flags Details
disables the usage of the bundled strndup and teaches Makefile to use install (1.59 KB, patch)
2008-12-30 09:55 EST, manuel wolfshant
no flags Details | Diff

  None (edit)
Description Fabian Affolter 2008-12-29 07:26:08 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/httping.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/httping-1.2.9-1.fc9.src.rpm

Project URL: http://www.vanheusden.com/httping/

Description:
Httping is like 'ping' but for http-requests.  Give it an url, and it'll 
show you how long it takes to connect, send a request and retrieve the
reply (only the headers). Be aware that the transmission across the network
also takes time.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1024702

rpmlint output:
[fab@laptop024 i386]$ rpmlint httping*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint httping-1.2.9-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 manuel wolfshant 2008-12-30 08:18:28 EST
Unfortunately your attempt to override the default CFLAGS fails, in http://koji.fedoraproject.org/koji/getfile?taskID=1024704&name=build.log you can see the following fragment:

+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64
 -mtune=generic -I/usr/kerberos/include'
+ DEBUG=
+ make -j4
cc -O2 -Wall -DVERSION=\"1.2.9\" -g    -c -o mem.o mem.c
cc -O2 -Wall -DVERSION=\"1.2.9\" -g    -c -o http.o http.c
cc -O2 -Wall -DVERSION=\"1.2.9\" -g    -c -o io.o io.c
cc -O2 -Wall -DVERSION=\"1.2.9\" -g    -c -o str.o str.c
cc -O2 -Wall -DVERSION=\"1.2.9\" -g    -c -o error.o error.c
str.c:22: warning: conflicting types for built-in function 'strndup'
cc -O2 -Wall -DVERSION=\"1.2.9\" -g    -c -o utils.o utils.c
cc -O2 -Wall -DVERSION=\"1.2.9\" -g    -c -o main.o main.c
cc -O2 -Wall -DVERSION=\"1.2.9\" -g    -c -o tcp.o tcp.c
cc -O2 -Wall -DVERSION=\"1.2.9\" -g    -c -o mssl.o mssl.c
cc -O2 -Wall -DVERSION=\"1.2.9\" -g    -c -o res.o res.c
In file included from http.c:28:


The real fix is to use:
    make %{?_smp_mflags} CFLAGS="%{optflags}" DEBUG=""
Only that in this case the build fails due to something looking like a small programming error (see the attached log).The presence or absence of /usr/include/kerberos made no difference in my local build and I do not have right now the time to dig further.

I also suggest to contact the author and ask for a clarification of the license. Strictly speaking, everywhere in the source files he speaks about what we call "GPL+", only the reference on his website is GPLv2.
Comment 2 manuel wolfshant 2008-12-30 08:19:24 EST
Created attachment 327960 [details]
log of build failure when using Fedora's CFLAGS
Comment 3 manuel wolfshant 2008-12-30 09:54:00 EST
Created attachment 327964 [details]
new spec, fixes all issues that I am aware of
Comment 4 manuel wolfshant 2008-12-30 09:55:50 EST
Created attachment 327965 [details]
disables the usage of the bundled strndup and teaches Makefile to use install

with the new spec and the attached patch, everything seems fine. let me know if you are comfortable with the modifications that I suggest and I will do a full review
Comment 5 Ville Skyttä 2008-12-30 17:46:39 EST
BTW we already have http_ping [0] in Fedora which seems very similar - I don't think that's a problem but I thought I'd mention it in case someone wants to compare features.  And http_ping's maintainership is up for grabs in any case if someone wants it...

[0] http://www.acme.com/software/http_ping/
Comment 6 Fabian Affolter 2009-01-19 18:02:25 EST
Manuel, thanks for the patch and the reworked spec file.

Here are the new files:

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/httping.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/httping-1.2.9-2.fc9.src.rpm
Comment 7 manuel wolfshant 2009-01-22 11:54:09 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: 6be7b8299b2ee01e42e1a1566497d2c6a0d0ed6c httping-1.2.9.tgz
 [x] Package is not known to require ExcludeArch, OR:
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-En
glish languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the test passes.


=== Issues ===
Please get in touch with the author and inform him that mentioning "GPL" in the source files makes them GPL+, not GPLv2 and that he should add the versioning bits to the source files.

================
*** APPROVED ***
================
Comment 8 Fabian Affolter 2009-01-23 02:42:26 EST
New Package CVS Request
=======================
Package Name: httping
Short Description: Ping alike tool for http requests
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 9 Kevin Fenzi 2009-01-23 18:36:59 EST
cvs done.
Comment 10 Fedora Update System 2009-01-26 20:47:49 EST
httping-1.2.9-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update httping'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0970
Comment 11 Fedora Update System 2009-01-26 20:52:55 EST
httping-1.2.9-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update httping'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1008
Comment 13 Fabian Affolter 2014-09-11 10:09:09 EDT
Package Change Request
======================
Package Name: httping
New Branches: el6 epel7
Owners: fab 
InitialCC:
Comment 14 Jon Ciesla 2014-09-11 11:20:25 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.